MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025369Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-14 16:422014-11-11 13:01
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025369: Visualization, Image_AlienPixMap - handle UTF-8 names in image read/save operations on Windows
DescriptionImage_AlienPixMap should handle UTF-8 file paths following new UNICODE compatibility way.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3
vinit View1
vclear
vsetdispmode 0
vdisplay b
vfit
set s [encoding convertfrom unicode "\x3A\x04\x30\x04\x40\x04\x2E\x00\x70\x00\x6E\x00\x67\x00"]

vdrawtext $s 0 0 0 255 255 255 0 0 0 0 50 0 Times 1
vdump $::imagedir/$s
vtexture b $::imagedir/$s
TagsNo tags attached.
Test case numberbugs vis(004) bug25369
Attached Files

- Relationships
child of 0022484closedbugmaster UNICODE characters support. 

-  Notes
(0033072)
git (administrator)
2014-10-14 16:44

Branch CR25369 has been created by kgv.

SHA-1: ba2f3bc51e01e3bfe6b6c94b0b7fbef4310ee5c3


Detailed log of new commits:

Author: kgv
Date: Tue Oct 14 16:44:01 2014 +0400

    0025369: Visualization, Image_AlienPixMap - handle UTF-8 names in image read/save operations on Windows
(0033073)
kgv (developer)
2014-10-14 16:48

Patch is ready for review in branch CR25369.
(0033201)
git (administrator)
2014-10-16 13:14

Branch CR25369 has been updated by apv.

SHA-1: 1e2ce1f1bfdaa12e7916a1a0e74d8123d9661d6c


Detailed log of new commits:

Author: apv
Date: Thu Oct 16 13:14:15 2014 +0400

    Test-case for issue 0025369

(0033210)
apv (tester)
2014-10-16 14:21

Dear BugMaster,

Branch CR25369 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 1e2ce1f1bfdaa12e7916a1a0e74d8123d9661d6c

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing case:
http://occt-tests/CR25369-master-occt/Debian60-64/bugs/vis/bug25369.html [^]
http://occt-tests/CR25369-master-occt/Windows-32-VC10/bugs/vis/bug25369.html [^]

Testing on Linux:
Total MEMORY difference: 370094548 / 370341036
Total CPU difference: 48837.8800000001 / 47188.35999999984

Testing on Windows:
Total MEMORY difference: 275886256 / 272347196
Total CPU difference: 35211.9375 / 32951.40625
(0033391)
git (administrator)
2014-10-21 16:39

Branch CR25369 has been deleted by inv.

SHA-1: 1e2ce1f1bfdaa12e7916a1a0e74d8123d9661d6c

- Related Changesets
occt: master 7aa1b65c
Timestamp: 2014-10-16 12:13:20
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025369: Visualization, Image_AlienPixMap - handle UTF-8 names in image read/save operations on Windows

Test-case for issue 0025369
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]
add - tests/bugs/vis/bug25369 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-14 16:42 kgv New Issue
2014-10-14 16:42 kgv Assigned To => kgv
2014-10-14 16:44 git Note Added: 0033072
2014-10-14 16:44 kgv Summary Visualization, Image_AlienPixMap - handle UTF-8 names in image read/save operations => Visualization, Image_AlienPixMap - handle UTF-8 names in image read/save operations on Windows
2014-10-14 16:44 kgv Relationship added child of 0022484
2014-10-14 16:47 kgv Description Updated View Revisions
2014-10-14 16:47 kgv Steps to Reproduce Updated View Revisions
2014-10-14 16:48 kgv Note Added: 0033073
2014-10-14 16:48 kgv Assigned To kgv => pdn
2014-10-14 16:48 kgv Status new => resolved
2014-10-14 17:03 pdn Assigned To pdn => bugmaster
2014-10-14 17:03 pdn Status resolved => reviewed
2014-10-15 18:46 apv Assigned To bugmaster => apv
2014-10-16 13:13 apv Test case number => bugs vis(004) bug25369
2014-10-16 13:14 git Note Added: 0033201
2014-10-16 14:21 apv Note Added: 0033210
2014-10-16 14:23 apv Status reviewed => tested
2014-10-16 14:45 apv Assigned To apv => bugmaster
2014-10-20 10:24 bugmaster Changeset attached => occt master 7aa1b65c
2014-10-20 10:24 bugmaster Status tested => verified
2014-10-20 10:24 bugmaster Resolution open => fixed
2014-10-21 16:39 git Note Added: 0033391
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 13:01 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker